local bacon = {}
bacon.img = love.graphics.newImage("bacon.png")
bacon.ps = love.graphics.newParticleSystem(bacon.img, 20)
bacon.ps:stop()

bacon.ps:setOffset(63, 59)
bacon.ps:setLifetime(0.3)
bacon.ps:setParticleLife(4, 4)
bacon.ps:setEmissionRate(300)
bacon.ps:setGravity(95)
bacon.ps:setSpeed(20, 40)
bacon.ps:setSizes(0.01, 0.02)
bacon.ps:setDirection(math.pi*1.5)
bacon.ps:setSpread(math.pi*0.5)
bacon.ps:setRotation(0, math.pi*2)
bacon.ps:setSpin(4, 10)

function bacon:explodeAt(x, y)
	self.ps:setPosition(x, y)
	self.ps:start()
end

function bacon:update(dt)
	self.ps:update(dt)
end

function bacon:draw()
	love.graphics.draw(self.ps, 0, 0, 0, game.scale, game.scale)
end

function bacon:reset()
	self.ps:reset()
end

return bacon
