function clamp(v, l, h) return (v < l and l) or (v > h and h) or v end
function sgn(x) return (x > 0 and 1) or (x < 0 and -1) or 0 end

function linear(a, b, n)
	local r = #a / n

	for i = 0, n-1 do
		local P = r*i
		local p = math.floor(P)
		local f = P-p
		b[i+1] = a[p+1] * (1-f) + (a[p+2] or a[p+1]) * f
	end
end

function scaler(sc, a, ...)
	local points
	if type(a) == "table" then
		points = {}
		for i = 1, #a do
			points[i] = a[i] * sc
		end
	else
		points = {a, ...}
		for i = 1, #points do
			points[i] = points[i] * sc
		end
	end

	return unpack(points)
end
